Search documentation of wx

# View Source wxSplashScreen (wx v2.4.3.1)

`wxSplashScreen` shows a window with a thin border, displaying a bitmap describing your application.

Show it in application initialisation, and then either explicitly destroy it or let it time-out.

Example usage:

This class is derived, and can use functions, from:

- `wxFrame`

- `wxTopLevelWindow`

- `wxWindow`

- `wxEvtHandler`

wxWidgets docs: wxSplashScreen

# Summary

## Types

wxSplashScreen()

## Functions

destroy(This)

Destroys the object

getSplashStyle(This)

Returns the splash style (see `new/6` for details).

getTimeout(This)

Returns the timeout in milliseconds.

new(Bitmap, SplashStyle, Milliseconds, Parent, Id)

Equivalent to `new(Bitmap, SplashStyle, Milliseconds, Parent, Id, [])`.

new/6

Construct the splash screen passing a bitmap, a style, a timeout, a window id, optional position and size, and a window style.

# Types

# wxSplashScreen()

    -type wxSplashScreen() :: wx:wx_object().

# Functions

# destroy(This)

    -spec destroy(This :: wxSplashScreen()) -> ok.

Destroys the object

# getSplashStyle(This)

    -spec getSplashStyle(This) -> integer() when This :: wxSplashScreen().

Returns the splash style (see `new/6` for details).

# getTimeout(This)

    -spec getTimeout(This) -> integer() when This :: wxSplashScreen().

Returns the timeout in milliseconds.

# new(Bitmap, SplashStyle, Milliseconds, Parent, Id)

    -spec new(Bitmap, SplashStyle, Milliseconds, Parent, Id) -> wxSplashScreen()
                 when
                     Bitmap :: wxBitmap:wxBitmap(),
                     SplashStyle :: integer(),
                     Milliseconds :: integer(),
                     Parent :: wxWindow:wxWindow(),
                     Id :: integer().

Equivalent to `new(Bitmap, SplashStyle, Milliseconds, Parent, Id, [])`.

# new/6

    -spec new(Bitmap, SplashStyle, Milliseconds, Parent, Id, [Option]) -> wxSplashScreen()
                 when
                     Bitmap :: wxBitmap:wxBitmap(),
                     SplashStyle :: integer(),
                     Milliseconds :: integer(),
                     Parent :: wxWindow:wxWindow(),
                     Id :: integer(),
                     Option ::
                         {pos, {X :: integer(), Y :: integer()}} |
                         {size, {W :: integer(), H :: integer()}} |
                         {style, integer()}.

Construct the splash screen passing a bitmap, a style, a timeout, a window id, optional position and size, and a window style.

`splashStyle` is a bitlist of some of the following:

- wxSPLASH_CENTRE_ON_PARENT

- wxSPLASH_CENTRE_ON_SCREEN

- wxSPLASH_NO_CENTRE

- wxSPLASH_TIMEOUT

- wxSPLASH_NO_TIMEOUT

`milliseconds` is the timeout in milliseconds.